### File

`packages/ecl/components/ecl-social-media-follow/ecl-social-media-follow-item.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-social-media-follow-item`
imports | `EUI_ECL_ICON` `EUI_ECL_LINK` `NgTemplateOutlet` `RouterLink` `RouterLinkWithHref`
templateUrl | `./ecl-social-media-follow-item.component.html`

### Index

###### Properties
role
###### Methods
onItemClick getCssClasses
###### Inputs
extraAttributes href icon iconSet isInverted routerLink size target class e2eAttr tabindex
###### Outputs
itemClick
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

extraAttributes
Type : `literal type[]`

href
Type : `string`
Default value : `''`

icon
Type : `string`

iconSet
Type : `string`
Default value : `'social-media'`

isInverted
Type : `unknown`

routerLink
Type : `string`
Default value : `''`

size
Type : `string`
Default value : `'m'`

target
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

itemClick
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'listitem'`

class
Type : `string`

### Methods

onItemClick
`onItemClick(evt: unknown)`
Parameters :
Name | Type | Optional
evt | `unknown` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

role
Type : `string`
Default value : `'listitem'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""